{% include('sysma-object/sysmaObjectBackButton.twig') %}

<h2>Création d'une fiche action</h2>



{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="formNouveauTravaux" action='#'>


    <div class='form-group'>
        <label>Type d'action</label>
        <select name="sysma_action_type_id" id="sysma_action_type_id" value="" class="form-control">    
            {% for TT in TO.sysmaActionTypesArray %}     
                {% if [app.session.get('user_id'),null,TO.sysma_object_type_id,null,TT.sysma_action_type_id,null,null,'contributeur']|hasAccess %}
                    <option value="{{TT.sysma_action_type_id}}"
                            {{ app.session.get('sysma_action_type_id')!=null and app.session.get('sysma_action_type_id')==TT.sysma_action_type_id ? 'selected' : null }}>
                        {{TT.sysma_action_type|raw}}</option>
                    {% endif %}
                {% endfor %}
        </select>
    </div>


    <div class='form-group'>
        <label>Nom de l'action</label>
        <input name="sysma_action" value="" class="form-control"/>        
    </div>



    <div class='form-group'>
        <label>Date de début de l'action</label>
        <input name="start_date" id="start_date" value="{{ app.session.get('start_date')!=null ? app.session.get('start_date') : "now"|date('Y-m-d') }}" class="form-control" onkeyup="checkDate('start_date', 'start_dateComment', 'boutonCreerTravaux', 'end_date');" required="required" />
        <div id="start_dateComment"></div>
    </div>

    <div class='form-group'>
        <label>Date de fin de l'action</label>
        <input name="end_date" value="{{ app.session.get('end_date_sysma_action')!=null ? app.session.get('end_date_sysma_action') : "now"|date('Y-m-d') }}" id="end_date" class="form-control" onkeyup="checkDateEndOK('end_date', 'end_dateComment', 'boutonCreerTravaux', 'start_date');" required="required" />
        <div id="end_dateComment"></div>
    </div>  

    <div class='form-group'>
        <label>Année d'engagement de l'action dans le budget du maître d'ouvrage (obligatoire)</label>
        <input name="program_year" value="{{"now"|date('Y') }}" class="form-control" required="required" type="number" min="1980" />        
    </div>


    {% if COST_MANAGEMENT|default('activated_by_user') != 'desactivated' %}  


        <label><input type="checkbox" value="1" name="cost_management" id="cost_management" > Gérer les coûts</label>     
        <div id="cost_management_div" style="display: none;">
            <div class="row">
                <div class="col-md-4">Coût unitaire indicatif</div>
                <div class="col-md-8">
                    <input  id="unit_cost_thesaurus_info"  value="{{ TO.unit_cost|default(null) }}" disabled /> € {{ HT_TTC }} 
                    par <span id="unit_measure_thesaurus_info">unité</span>
                    <input type="hidden" name="unit_cost_thesaurus" id="unit_cost_thesaurus"  value="{{ TO.unit_cost|default(0) }}"   value="" type="number" step="0.01"  />
                </div>

            </div>
            <div class="row">
                <div class="col-md-4">Coût unitaire prévisionnel</div>
                <div class="col-md-8">
                    <input  id="unit_cost_estimated_user" name="unit_cost_estimated_user"  value="{{ TO.unit_cost|default(null) }}"   value="" type="number" step="0.01"  /> € {{ HT_TTC }} 
                    par 
                    <select id="unit_measure_estimated_user" name="unit_measure_estimated_user">
                        {%  for key,unit in UNIT_MEASURES  %}
                            <option value="{{ key }}">{{  unit }}</span>
                            {%  endfor %} 
                    </select>

                </div>

            </div>

            <div class="row">
                <div class="col-md-4">Coût total prévisionnel</div>
                <div class="col-md-8">
                    <input name="total_cost_estimated_user"  id="total_cost_estimated_user"  value="" type="number" step="0.01" /> € {{ HT_TTC }}                 
                </div>

            </div>
                   <div class="row">
                <div class="col-md-4">Coût total final</div>
                <div class="col-md-8">
                    <input name="total_cost_final_user"  id="total_cost_final_user"  value="" type="number" step="0.01" /> € {{ HT_TTC }}                 
                </div>

            </div>
            <br>
        </div>
    {%  endif  %}






    <div class='form-group'>
        <label>Contrat(s)</label>     


        {% for C in tabcontracts %}
            <div class="chekcbox">            
                <label>
                    <input type="checkbox" name="contract{{ C.contract_id }}" value="1" > {{ C.contract }}
                </label>
            </div>
        {% endfor %}


    </div>

    <div class='form-group'>
        <label>Statut</label>
        <select  name="status" class="form-control">
            {% for S in tabStatuts %}    
                {% if [app.session.get('user_id'),null,TO.sysma_object_type_id,null,null,S.status_value,null,'contributeur']|hasAccess %}
                    <option value="{{S.status_value}}"
                            {{ app.session.get('status_sysma_action')!=null and app.session.get('status_sysma_action')==S.status_value ? 'selected' : null }}>
                        {{S.status}}</option>
                    {% endif %}
                {% endfor %}
        </select>
    </div>

    <div class='form-group'>
        <label>Structure</label>
        <select  name="organisation_id" class="form-control">
            {% for S in taborganisation %}     
                {% if [app.session.get('user_id'),S.organisation_id,TO.sysma_object_type_id,null,null,null,S.organisation_id,'contributeur']|hasAccess %}
                    <option value="{{S.organisation_id}}"
                            {{ app.session.get('organisation_id')!=null and app.session.get('organisation_id')==S.organisation_id ? 'selected' : null }}>
                        {{S.organisation|raw}}</option>
                    {% endif %}
                {% endfor %}
        </select>
    </div>

    <button  id="boutonCreerTravaux"  class="btn btn-primary" 
             onclick="sendFormAndRedirectAndMove('formNouveauTravaux', '{{url('action-create-commit')}}', 'id={{ sysma_object_id }}&sysma_action_id={{ index }}', '{{url('object')}}', 'objet', event, 'blocInfosTravaux{{index}}');" 
             >
        Créer</button>

    <input type="hidden" value="{{sysma_object_id}}" name="sysma_object_id" />  
    <input type="hidden" value="{{index}}" name="sysma_action_id" />  
    <input type="hidden" name="created_by" value="{{ app.session.get('user_id') }}" />
    <input type="hidden" name="modified_by" value="{{ app.session.get('user_id') }}" />

</form>


{% if COST_MANAGEMENT|default('activated_by_user') != 'desactivated' %}    

    <script type="text/javascript">



        var workUnitCost = {
        {% for TT in TO.sysmaActionTypesArray %}
            {{ TT.sysma_action_type_id }} :{{TT.unit_cost }},
        {% endfor %}
            };
            var workUnitMeasure = {
        {% for TT in TO.sysmaActionTypesArray %}
            {{ TT.sysma_action_type_id }} : '{{TT.unit_measure|default(null) }}',
        {% endfor %}
            };
            function updateCosts() {
            if ($('#cost_management').is(':checked')) {
            $('#unit_cost_thesaurus_info').val(workUnitCost[$('#sysma_action_type_id option:selected').val()]);
            $('#unit_cost_thesaurus').val(workUnitCost[$('#sysma_action_type_id option:selected').val()]);
            $('#unit_measure_thesaurus_info').text(workUnitMeasure[$('#sysma_action_type_id option:selected').val()]);
            $('#unit_cost_estimated_user').val(workUnitCost[$('#sysma_action_type_id option:selected').val()]);
            $('#unit_measure_estimated_user').val(workUnitMeasure[$('#sysma_action_type_id option:selected').val()]);
            updateTotalCost();
            }
            }

            function updateTotalCost() {



            if ($('#unit_measure_estimated_user').val() === 'unit'){
            var total_cost = ($('#unit_cost_estimated_user').val() * 1);
            }
            else if ($('#unit_measure_estimated_user').val() === 'object'){
            var total_cost = $('#unit_cost_estimated_user').val();
            }
            else if ($('#unit_measure_estimated_user').val() === 'm'){
            var total_cost =
                    ($('#unit_cost_estimated_user').val() * {{ O.infosGeom.perimetre|default(0) }});
            }
            else if ($('#unit_measure_estimated_user').val() === 'm²'){
            var total_cost =
                    ($('#unit_cost_estimated_user').val() * {{ O.infosGeom.surface|default(0) }});
            }
            else {
            var total_cost = 0;
            }
            $('#total_cost_estimated_user').val(Math.round(total_cost));
            $('#total_cost_estimated_user').css('border-color', '')
            }

            function resetCosts() {
            $('#unit_cost_estimated_user').val(0);
            $('#total_cost_estimated_user').val(0);
            }

            function isRequired(element) {
            if ($('#' + element).val() == '' && $('#cost_management').is(':checked')) {
            $('#' + element).css('border-color', 'red')
            } else {
            $('#' + element).css('border-color', '')
            }

            }

            $('#sysma_action_type_id').on('click', function () {
            updateCosts();
            });
            $('#unit_cost_estimated_user').on('change', function () {
            updateTotalCost();
            isRequired('unit_cost_estimated_user');
            });
            $('#unit_measure_estimated_user').on('change', function () {
            updateTotalCost();
            isRequired('unit_measure_estimated_user');
            });
            $('#total_cost_estimated_user').on('change', function () {
            isRequired('total_cost_estimated_user');
            });
            $('#cost_management').on('click', function () {
            if ($('#cost_management').is(':checked')) {
            $('#cost_management_div').show(150);
            updateCosts();
            } else {
            $('#cost_management_div').hide(150);
            resetCosts();
            }
            });
        {% if COST_MANAGEMENT|default('activated_by_user') == 'activated_by_default' %}        
            $('#cost_management').prop("checked", true);
            updateCosts();
            $('#cost_management_div').show(150);
        {% endif %}


    </script>

{% endif %}